fop 2.3

## org.apache.fop.pdf
Class StructureHierarchyMember

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.StructureHierarchyMember

All Implemented Interfaces:
  PDFWritable

Direct Known Subclasses:
  PDFStructElem, PDFStructTreeRoot

    public abstract class StructureHierarchyMember

extends PDFDictionary

An element in the document's structure tree. This can be either the structure tree root or a structure element. "Section 10.6, Logical Structure of the PDF Reference, 4th edition (PDF 1.5)"

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`log`

Constructor Summary
`StructureHierarchyMember()`

Method Summary
`abstract void` `addKid(PDFObject kid)` Adds the given object to the array of kids.

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureHierarchyMember

    public StructureHierarchyMember()

Method Detail

### addKid

    public abstract void addKid(PDFObject kid)

  Adds the given object to the array of kids.

  Parameters:
    `kid` - an object to be added to the K entry

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.